/**
 * @function _tmpl
 * @private
 */

"use strict";

const fs = require('fs'),
    types = require('./types');

/** @lends _tmpl */
function _tmpl(model) {
    let filename = types[model] || types.default;
    return fs.readFileSync(__dirname + '/../' + filename).toString();
}

module.exports = _tmpl;
